# Poco::Net

# class MailIOS

Library: Net
Package: Mail
Header: Poco/Net/MailStream.h

## Description

The base class for MailInputStream and MailOutputStream.

This class provides common methods and is also needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: MailInputStream, MailOutputStream

## Member Summary

Member Functions: close, rdbuf

## Constructors

### MailIOS

MailIOS(
std::istream & istr
);

Creates the MailIOS and connects it to the given input stream.

### MailIOS

MailIOS(
std::ostream & ostr
);

Creates the MailIOS and connects it to the given output stream.

## Destructor

### ~MailIOS

~MailIOS();

Destroys the stream.

## Member Functions

### close

void close();

Writes the terminating period, followed by CR-LF.

### rdbuf

MailStreamBuf * rdbuf();

Returns a pointer to the underlying streambuf.

## Variables

### _buf

MailStreamBuf _buf;